# https://www.stigviewer.com/stig/red_hat_enterprise_linux_7/2020-09-03/finding/V-204395
- name: STIG DOD consent
  copy:
    dest: /etc/issue
    src: dod-consent.txt
    mode: 0644
  notify:
    - update aide db

# https://www.stigviewer.com/stig/red_hat_enterprise_linux_7/2020-12-08/finding/V-204487
- name: Strip any world-wide writable bits from insecure directories
  script: files/strip-insecure-bits.sh directories
  register: result
  changed_when: result.rc == 86
  failed_when:
    - result.rc != 0
    - result.rc != 86
  when: ubuntu_base_strip_insecure_bits

# V-238354
- name: Ensure UFW is installed
  package:
    name: ufw
    state: present

# V-238326, V-238327
- name: Ensure blacklisted packages are removed
  package:
    name: "{{ item }}"
    state: absent
  loop:
    - telnetd
    - rsh-server

# V-238340r654195
- name: Fix permissions of /var/log
  file:
    state: directory
    path: /var/log
    mode: 0750
    owner: root
    group: syslog

- name: Set ansible_role_syslog facts
  set_fact:
    "{{ item.key }}": "{{ item.value }}"
  loop: "{{ lookup('dict', ubuntu_base_syslog_ng_params, wantlist=True) }}"
  when: ubuntu_base_syslog_ng_enable

- name: Install and configure syslog-ng
  include_role:
    name: ansible_role_syslog
  when: ubuntu_base_syslog_ng_enable

- name: Fix permissions of /var/log on boot
  lineinfile:
    path: /usr/lib/tmpfiles.d/syslog.conf
    regexp: "^z /var/log "
    line: "z /var/log 0750 root syslog"
    create: true

# V-238337r654186
- name: Fix permissions of files under /var/log
  shell: |
    find /var/log -perm /137 -type f -exec chmod 640 '{}' \;
  changed_when: false

- name: Fix permissions of files under /var/log in a cronjob for persistence
  cron:
    name: V-238337 cronjob
    job: find /var/log -perm /137 -type f -exec chmod 640 '{}' \;
    user: root
    special_time: reboot
